{
    "name": "ghost-wallet",
    "version": "0.1.4",
    "description": "Browser extension to manage ghost blockchain light clients.",
    "main": "dist/src/index.js",
    "author": "Uncle f4ts0 <f4ts0@ghostchain.io>",
    "maintainers": [
        "Uncle f4ts0 <fatso@ghostchain.io>",
        "Uncle 57r3tch <stretch@ghostchain.io>",
        "Uncle 5t1nky <stinky@ghostchain.io>"
    ],
    "type": "module",
    "private": true,
    "keywords": [],
    "scripts": {
        "prep": "mkdir dist && cp -r ./assets/icons ./dist && cp -r ./assets/chainspecs ./dist",
        "prep:chrome": "pnpm prep && node scripts/generateManifest.js ./assets/manifest-v3-chrome.json ./dist/manifest.json",
        "prep:firefox": "pnpm prep && node scripts/generateManifest.js ./assets/manifest-v3-firefox.json ./dist/manifest.json",
        "build": "tsc --noEmit && pnpm build:chrome && pnpm build:firefox",
        "build:chrome": "pnpm clean && pnpm prep:chrome && concurrently \"pnpm:build-*\" && node scripts/checkExtensionScriptSizes.js",
        "build:firefox": "pnpm clean && pnpm prep:firefox && concurrently \"pnpm:build-*\" && node scripts/checkExtensionScriptSizes.js",
        "build-content": "set INPUT=content && pnpm exec vite build --config vite.script.config.js",
        "build-background": "set INPUT=background && pnpm exec vite build --config vite.script.config.js",
        "build-inpage": "set INPUT=inpage && pnpm exec vite build --config vite.script.config.js",
        "build-ui": "vite build --config vite.ui.config.js",
        "dev": "pnpm dev:chrome",
        "dev:chrome": "pnpm clean && pnpm prep:chrome && concurrently \"pnpm:dev-*\"",
        "dev:firefox": "pnpm clean && pnpm prep:firefox && concurrently \"pnpm:dev-*\"",
        "dev-content": "pnpm build-content --mode development --watch",
        "dev-background": "pnpm build-background --mode development --watch",
        "dev-inpage": "pnpm build-inpage --mode development --watch",
        "dev-ui": "pnpm build-ui --mode development --watch",
        "lint": "eslint src --ext .js,.jsx,.ts,.tsx",
        "test": "vitest run",
        "start": "web-ext run --source-dir ./dist -t chromium",
        "start:firefox": "web-ext run --source-dir ./dist -t firefox-desktop",
        "clean": "rm -rf dist",
        "deep-clean": "pnpm clean && rm -rf node_modules",
        "playwright": "playwright test --ui",
        "playwright:install": "playwright install --with-deps chromium",
        "playwright:chromium": "playwright test --project=chromium"
    },
    "lint-staged": {
        "*.{js,jsx,ts,tsx,json,md}": "prettier --write"
    },
    "devDependencies": {
        "@changesets/cli": "^2.27.9",
        "@playwright/test": "^1.48.2",
        "@total-typescript/tsconfig": "^1.0.4",
        "@types/chrome": "^0.0.270",
        "@types/node": "^20.14.10",
        "@types/qrcode.react": "^1.0.5",
        "@types/react": "^18.3.1",
        "@types/react-dom": "^18.3.1",
        "@types/react-router-dom": "^5.3.3",
        "@typescript-eslint/parser": "^7.11.0",
        "@vitejs/plugin-react-swc": "^3.7.2",
        "@webext-core/storage": "^1.2.0",
        "autoprefixer": "^10.4.19",
        "concurrently": "^9.1.2",
        "eslint": "^8.57.0",
        "eslint-config-prettier": "^9.1.0",
        "eslint-config-react-app": "^7.0.1",
        "eslint-plugin-import": "^2.29.0",
        "globals": "^16.0.0",
        "http-server": "^14.1.1",
        "husky": "^9.1.6",
        "jsdom": "^26.0.0",
        "lint-staged": "^15.4.3",
        "nodemon": "^3.1.4",
        "postcss": "^8.4.47",
        "prettier": "^3.3.3",
        "rimraf": "^6.0.1",
        "tailwindcss": "^3.4.17",
        "tshy": "^3.0.2",
        "tslib": "^2.6.2",
        "tsup": "^8.3.0",
        "turbo": "^2.2.3",
        "typedoc": "^0.26.11",
        "typescript": "5.6.2",
        "vite": "^6.1.6",
        "vite-plugin-web-extension": "^4.4.3",
        "vite-tsconfig-paths": "^5.0.1",
        "vitest": "^2.1.9",
        "web-ext": "^8.2.0",
        "wxt": "^0.17.12"
    },
    "dependencies": {
        "@headlessui/react": "^2.1.10",
        "@hookform/resolvers": "^3.9.1",
        "@noble/ciphers": "^1.0.0",
        "@noble/hashes": "^1.5.0",
        "@polkadot-api/codegen": "~0.13.2",
        "@polkadot-api/json-rpc-provider": "~0.0.4",
        "@polkadot-api/metadata-builders": "~0.13.0",
        "@polkadot-api/observable-client": "~0.8.6",
        "@polkadot-api/polkadot-signer": "~0.1.6",
        "@polkadot-api/signer": "~0.1.15",
        "@polkadot-api/substrate-bindings": "~0.15.0",
        "@polkadot-api/substrate-client": "~0.3.0",
        "@polkadot-api/utils": "~0.1.2",
        "@polkadot-api/view-builder": "~0.4.3",
        "@polkadot-labs/hdkd": "^0.0.11",
        "@polkadot-labs/hdkd-helpers": "^0.0.11",
        "@polkadot-labs/schnorrkel-wasm": "^0.0.7",
        "@polkadot/extension-inject": "^0.58.4",
        "@radix-ui/react-accordion": "^1.2.3",
        "@radix-ui/react-alert-dialog": "^1.1.6",
        "@radix-ui/react-aspect-ratio": "^1.1.2",
        "@radix-ui/react-avatar": "^1.1.3",
        "@radix-ui/react-checkbox": "^1.1.4",
        "@radix-ui/react-collapsible": "^1.1.3",
        "@radix-ui/react-context-menu": "^2.2.6",
        "@radix-ui/react-dialog": "^1.1.6",
        "@radix-ui/react-dropdown-menu": "^2.1.6",
        "@radix-ui/react-hover-card": "^1.1.6",
        "@radix-ui/react-label": "^2.1.2",
        "@radix-ui/react-menubar": "^1.1.6",
        "@radix-ui/react-navigation-menu": "^1.2.5",
        "@radix-ui/react-popover": "^1.1.6",
        "@radix-ui/react-progress": "^1.1.2",
        "@radix-ui/react-radio-group": "^1.2.3",
        "@radix-ui/react-scroll-area": "^1.2.3",
        "@radix-ui/react-select": "^2.1.6",
        "@radix-ui/react-separator": "^1.1.2",
        "@radix-ui/react-slider": "^1.2.3",
        "@radix-ui/react-slot": "^1.1.2",
        "@radix-ui/react-switch": "^1.1.3",
        "@radix-ui/react-tabs": "^1.1.3",
        "@radix-ui/react-toast": "^1.2.6",
        "@radix-ui/react-toggle": "^1.1.2",
        "@radix-ui/react-toggle-group": "^1.1.2",
        "@radix-ui/react-tooltip": "^1.1.8",
        "@react-rxjs/core": "^0.10.7",
        "@react-rxjs/utils": "^0.9.7",
        "@substrate/connect-discovery": "^0.2.2",
        "@substrate/discovery": "^0.2.2",
        "@substrate/light-client-extension-helpers": "^2.7.6",
        "@substrate/smoldot-discovery-connector": "^0.3.11",
        "@zag-js/clipboard": "^0.47.0",
        "@zag-js/react": "^0.47.0",
        "@zag-js/tabs": "^0.74.2",
        "class-variance-authority": "^0.7.0",
        "clsx": "^2.1.1",
        "cmdk": "^1.0.4",
        "date-fns": "^4.1.0",
        "embla-carousel-react": "^8.5.1",
        "input-otp": "^1.2.4",
        "lodash": "^4.17.21",
        "lucide-react": "^0.468.0",
        "next-themes": "^0.4.1",
        "react": "^18.3.1",
        "react-day-picker": "^8.10.1",
        "react-dom": "^18.2.0",
        "react-hook-form": "^7.52.2",
        "react-icons": "^5.3.0",
        "react-json-view": "^1.21.3",
        "react-resizable-panels": "^2.1.7",
        "react-router-dom": "^6.27.0",
        "rxjs": "^7.8.1",
        "smoldot": "^2.0.34",
        "sonner": "^1.7.2",
        "swr": "^2.2.5",
        "tailwind-merge": "^3.0.1",
        "tailwindcss-animate": "^1.0.7",
        "usehooks-ts": "^3.1.0",
        "vaul": "^0.9.1",
        "zod": "^3.23.8"
    },
    "packageManager": "pnpm@9.6.0+sha512.38dc6fba8dba35b39340b9700112c2fe1e12f10b17134715a4aa98ccf7bb035e76fd981cf0bb384dfa98f8d6af5481c2bef2f4266a24bfa20c34eb7147ce0b5e"
}
